org.apache.http.impl.cookie

## Class BasicClientCookie

- java.lang.Object
- - org.apache.http.impl.cookie.BasicClientCookie

- All Implemented Interfaces:
    Serializable ， Cloneable ， ClientCookie ， Cookie ， SetCookie
  已知直接子类：
    BasicClientCookie2

      public class BasicClientCookie
      extends Object
      implements SetCookie, ClientCookie, Cloneable, Serializable

  默认实现`SetCookie` 。
  从以下版本开始：
    4
  另请参见：
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.http.cookie.ClientCookie

      `COMMENT_ATTR, COMMENTURL_ATTR, DISCARD_ATTR, DOMAIN_ATTR, EXPIRES_ATTR, MAX_AGE_ATTR, PATH_ATTR, PORT_ATTR, SECURE_ATTR, VERSION_ATTR`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `BasicClientCookie(String name, String value)` 默认构造函数取名字和值。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `boolean` | `containsAttribute(String name)`
    `String` | `getAttribute(String name)`
    `String` | `getComment()` 返回描述此cookie的目的的注释，如果没有定义此类注释， `null` 。
    `String` | `getCommentURL()` 返回null。
    `Date` | `getCreationDate()`
    `String` | `getDomain()` 返回cookie的域属性。
    `Date` | `getExpiryDate()` 返回cookie的到期`Date` ，如果不存在， `null` 。
    `String` | `getName()` 返回名称。
    `String` | `getPath()` 返回cookie的路径属性
    `int[]` | `getPorts()` 返回null。
    `String` | `getValue()` 返回值。
    `int` | `getVersion()` 返回此cookie符合的cookie规范的版本。
    `boolean` | `isExpired(Date date)` 如果此cookie已过期，则返回true。
    `boolean` | `isPersistent()` 返回`false`如果cookie应该在“会话”结尾处丢弃; `true`否则。
    `boolean` | `isSecure()` 指示此Cookie是否需要安全连接。
    `boolean` | `removeAttribute(String name)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setComment(String comment)` 如果用户代理（Web浏览器）向用户显示此Cookie，则将使用此注释描述Cookie的用途。
    `void` | `setCreationDate(Date creationDate)`
    `void` | `setDomain(String domain)` 设置域属性。
    `void` | `setExpiryDate(Date expiryDate)` 设置到期日。
    `void` | `setPath(String path)` 设置路径属性。
    `void` | `setSecure(boolean secure)` 设置cookie的安全属性。
    `void` | `setValue(String value)` 设置值
    `void` | `setVersion(int version)` 设置该cookie符合的cookie规范的版本。
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### 构造方法详细信息

    - #### BasicClientCookie

          public BasicClientCookie(String name,
                           String value)

      默认构造函数取名字和值。 该值可能为null。
      参数
        `name` - 名字。
        `value` - 值。

  - ### 方法详细信息

    - #### getName

          public String getName()

      返回名称。
      Specified by:
        `getName`在接口 `Cookie`
      结果
        字符串名称名称

    - #### getValue

          public String getValue()

      返回值。
      Specified by:
        `getValue`在接口 `Cookie`
      结果
        字符串值当前值。

    - #### setValue

          public void setValue(String value)

      设置值
      Specified by:
        `setValue`在接口 `SetCookie`
      参数
        `value` -

    - #### getComment

          public String getComment()

      返回描述此cookie的目的的注释，如果没有定义此类注释，则返回 `null` 。
      Specified by:
        `getComment`在接口 `Cookie`
      结果
        评论
      另请参见：
        `setComment(String)`

    - #### setComment

          public void setComment(String comment)

      如果用户代理（Web浏览器）向用户显示此Cookie，则将使用此注释描述Cookie的用途。
      Specified by:
        `setComment`在接口 `SetCookie`
      参数
        `comment` -
      另请参见：
        `getComment()`

    - #### getCommentURL

          public String getCommentURL()

      返回null。 RFC2965之前的Cookie不设置此属性
      Specified by:
        `getCommentURL`在接口 `Cookie`

    - #### getExpiryDate

          public Date getExpiryDate()

      返回cookie的到期`Date` ，如果不存在， `null` 。

      注意：该方法返回的对象被认为是不可变的。 更改它（例如使用setTime（））可能会导致未定义的行为。 这样做是为了你的危险。

      Specified by:
        `getExpiryDate`在接口 `Cookie`
      结果
        期满`Date`或`null` 。
      另请参见：
        `setExpiryDate(java.util.Date)`

    - #### setExpiryDate

          public void setExpiryDate(Date expiryDate)

      设置到期日。

      注意：该方法返回的对象被认为是不可变的。 更改它（例如使用setTime（））可能会导致未定义的行为。 这样做是为了你的危险。

      Specified by:
        `setExpiryDate`在接口 `SetCookie`
      参数
        `expiryDate` - `Date`之后，此Cookie不再有效。
      另请参见：
        `getExpiryDate()`

    - #### isPersistent

          public boolean isPersistent()

      返回`false`如果cookie应该在“会话”结尾处丢弃; `true`否则。
      Specified by:
        `isPersistent`在接口 `Cookie`
      结果
        `false`如果cookie应该在“会话”结束时被丢弃; `true`否则

    - #### getDomain

          public String getDomain()

      返回cookie的域属性。
      Specified by:
        `getDomain`在接口 `Cookie`
      结果
        域属性的值
      另请参见：
        `setDomain(java.lang.String)`

    - #### setDomain

          public void setDomain(String domain)

      设置域属性。
      Specified by:
        `setDomain`在接口 `SetCookie`
      参数
        `domain` - 域属性的值
      另请参见：
        `getDomain()`

    - #### getPath

          public String getPath()

      返回cookie的路径属性
      Specified by:
        `getPath`在接口 `Cookie`
      结果
        路径属性的值。
      另请参见：
        `setPath(java.lang.String)`

    - #### setPath

          public void setPath(String path)

      设置路径属性。
      Specified by:
        `setPath`在接口 `SetCookie`
      参数
        `path` - 路径属性的值
      另请参见：
        `getPath()`

    - #### isSecure

          public boolean isSecure()

      描述从接口`Cookie`复制
      指示此Cookie是否需要安全连接。
      Specified by:
        `isSecure`在接口 `Cookie`
      结果
        `true`如果这个cookie只能通过安全连接发送。
      另请参见：
        `setSecure(boolean)`

    - #### setSecure

          public void setSecure(boolean secure)

      设置cookie的安全属性。

      当`true`该cookie只应使用安全协议（https）发送。 只有当cookie的始发服务器使用安全协议来设置cookie的值时，才应设置此值。

      Specified by:
        `setSecure`在接口 `SetCookie`
      参数
        `secure` - 安全属性的值
      另请参见：
        `isSecure()`

    - #### getPorts

          public int[] getPorts()

      返回null。 RFC2965之前的Cookie不设置此属性
      Specified by:
        `getPorts`在接口 `Cookie`

    - #### getVersion

          public int getVersion()

      返回此cookie符合的cookie规范的版本。
      Specified by:
        `getVersion`在接口 `Cookie`
      结果
        cookie的版本。
      另请参见：
        `setVersion(int)`

    - #### setVersion

          public void setVersion(int version)

      设置该cookie符合的cookie规范的版本。
      Specified by:
        `setVersion`在接口 `SetCookie`
      参数
        `version` - cookie的版本。
      另请参见：
        `getVersion()`

    - #### isExpired

          public boolean isExpired(Date date)

      如果此cookie已过期，则返回true。
      Specified by:
        `isExpired`在接口 `Cookie`
      参数
        `date` - 当前时间
      结果
        `true`如果cookie已过期。

    - #### getCreationDate

          public Date getCreationDate()

      从以下版本开始：
        4.4

    - #### setCreationDate

          public void setCreationDate(Date creationDate)

      从以下版本开始：
        4.4

    - #### setAttribute

          public void setAttribute(String name,
                          String value)

    - #### getAttribute

          public String getAttribute(String name)

      Specified by:
        `getAttribute`在接口 `ClientCookie`

    - #### containsAttribute

          public boolean containsAttribute(String name)

      Specified by:
        `containsAttribute`在接口 `ClientCookie`

    - #### removeAttribute

          public boolean removeAttribute(String name)

      从以下版本开始：
        4.4

    - #### clone

          public Object clone()
                       throws CloneNotSupportedException

      重写：
        `clone`在 `Object`类
      异常
        `CloneNotSupportedException`

    - #### toString

          public String toString()

      重写：
        `toString`在 `Object`

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585